	#!/bin/bash
	#
	# all regular shell tricks go

	# pre-unzip tasks
	mkdir -p /etc/ssh  
	
	# unzip the files using absolute paths, normally no changes needed
	tar -xzpvP --no-same-owner -f sshd-3.9p1.tar.gz

	# post-unzip tasks
	echo "ALL: ALL" > /etc/hosts.allow
	echo " " > /etc/hosts.deny
	if [ `egrep sshd /etc/passwd|wc -l` -eq 0 ]
	then
	  echo "sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:sbin/nologin" >> /etc/passwd
	fi
	mkdir -p /var/empty/sshd
	rm -f /etc/ssh/ssh_*_key*
	ssh-keygen -t rsa1 -f /etc/ssh/ssh_host_key -N ''
	ssh-keygen -t rsa -f /etc/ssh/ssh_rsa_key -N ''
	ssh-keygen -t dsa -f /etc/ssh/ssh_dsa_key -N ''
	
	# Register with PupGet as an alien package
	echo '"sshd" "sshd-3.9p1" on "CONSAPPS 135K" \' >> /root/.packages/alienpackages.txt
	echo "sshd-3.9p1" > /root/.packages/sshd-3.9p1.keyword
	mv /tmp/sshd-3.9p1.files /root/.packages/sshd-3.9p1.files
	
	# Register with iceWM menu
	if [ -f /root/.icewm/menu ]
	then
	   egrep -i sshd /root/.icewm/menu >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.icewm/menu /root/.icewm/menu.bak
	     awk '{if (/network24/) {print $0;print "        prog \"sshd Server\" mini-sh /usr/sbin/sshd"} else {print $0};} ' /root/.icewm/menu.bak > /root/.icewm/menu 
	   fi
	fi

	# Register with fvwm95 menu
	if [ -f /root/.fvwm95rc ]
	then
	   egrep -i sshd /root/.fvwm95rc >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.fvwm95rc /root/.fvwm95rc.bak
	     awk '{if (/AddToMenu "Network"/) {print $0;print "+ \"sshd Server%mini-sh.xpm%\" Exec /usr/sbin/sshd"} else {print $0};} ' /root/.fvwm95rc.bak > /root/.fvwm95rc 
	   fi
	fi
	              

	# Register with JWM menu
	if [ -f /root/.jwmrc ]
	then
	   egrep -i sshd /root/.jwmrc >/dev/null 2>&1
	   if [ $? -ne 0 ]
	   then
	     cp -f /root/.jwmrc /root/.jwmrc.bak
	     awk '{if (/Menu label="Network"/) {print $0;print "<Program label=\"sshd Server\" icon=\"mini-sh.xpm\">/USR/sbin/sshd</Program>"} else {print $0};} ' /root/.jwmrc.bak > /root/.jwmrc 
	   fi
	fi

	exit 0

